#ifndef _SAA1064_H_
#define _SAA1064_H_

/**
 * \file saa1064.h
 * \brief I2C-connection to the SAA1064 LED-driver
 * \author Ronald Schaten
 * \version $Id: saa1064.h,v 1.1 2007/01/02 21:30:40 rschaten Exp $
 *
 * License: See documentation.
 */

/* based on http://www.mulder.franken.de/ntpdcfledclock/ */

/* This sets one digit on the LED module.
 * digit   is the number of the digit (0 - 7)
 * val     is a bitfield that contains the values to set. */
void set_led_digit(uint8_t digit, uint8_t val);

/* Configures the brightness of the LED module, or rather: the current the driver allows through them.
 * The values 0 through 7 can be used, corresponding to 0 through 21 mA */
void set_led_brightness(uint8_t led_brightness);

/* Initialize the LED module... This basically enables the pullups on the I2C Bus pins */
void led_init(void);

#endif
